function [Tlambda, loglike, cnorm] = Functions(beta)
global fBasis;
global Y_global;
global Fvector;
global lambda_global;
[sampsize nbeta] = size(fBasis);

% evaluate B*c and its exponential; store the latter in the global 
% variable Fvector as it is useful for gradient and Hessian computations 
  
logit=fBasis*beta;
Fvector = exp(logit);
  
% evaluate loglike a little differently from Weiliang's code (but
% hopefully equivalently)

loglike = (1/sampsize) * sum(-Y_global.*logit + log(1+Fvector));
% evalate the regularization term
cnorm = sum(abs(beta(1:nbeta-1)));

% finally the full objective function
Tlambda = loglike + lambda_global*cnorm;

return;