function [partialHessian] = Hessian(beta, beta_inx)
% evaluates the (square) reduced Hessian corresponding to the indices in
% beta_inx. Assumes that Functions() has been called previously to
% calculate Fvector. 
global fBasis;
global Fvector;
sampsize = size(fBasis,1);

sizeHess=size(beta_inx,1);
  
% useful transformation of Fvector
Ftemp = Fvector./((1+Fvector).^2);
  
partialHessian(1:sizeHess,1:sizeHess) = ...
    (1/sampsize) * (fBasis(:,beta_inx)'*((Ftemp*ones(1,sizeHess)) ...
    .*fBasis(:,beta_inx)));    
  
% symmetrize
partialHessian = 0.5*(partialHessian + partialHessian');
  
return;  