function fm = cglpscondor(file,k)
%--------------------------------------------------------------------------
% A whole model on selected variables
% file - .mat file contains original predictor X and respone Y
% k - total number of subproblems generated by 'geninput.m', the returned
% integer
%--------------------------------------------------------------------------

% collect the indices
inx.main = [];
inx.inter = [];

for i = 0:k-1
    currfile = sprintf('outfile%d.mat',i);
    load(currfile);
    inxtmp.main = [inx.main;inxcurr.main];
    inxtmp.inter = [inx.inter;inxcurr.inter];
    inx = inxtmp;
end


if size(inx.inter,1) > 1
    inxg = unique([unique(inx.main); unique(inx.inter)]);
else
    inxg = unique([unique(inx.main)' unique(inx.inter)])';
                            % indices of variables selected by group step
end

load(file);
t1 = clock;

%cd /p/stat/spline/shiw3/GLPS/code
XX = X(:,inxg);
clear X
fmlps = lpsmt(XX,Y,2,1,[-2 -2]);
%cd /p/stat/spline/shiw/LPS/code/forpublic
%fmlps = lps(X(:,inxg),Y,2,1,-2.1);
%cd /p/stat/spline/shiw3/GLPS/code/Batch
inx.main = unique(inx.main);
fm.inxg = inx;


% return fm
model.coeff = fmlps.model.coeff;
model.se = fmlps.model.se;
model.coeffcorr = fmlps.model.coeffcorr;
model.p = fmlps.model.p;
model.prob = fmlps.model.prob;
fm.model = model;
pattern = fmlps.pattern;
pattern(pattern>0) = inxg(pattern(pattern>0));
fm.pattern = pattern;
t2 = clock;
info.runtime = etime(t2,t1);
fm.info = info;
return;