function kk = geninput(dim,nvargroup)
% generate input file for condor in glps
% dim - number of predictor variables
% nvargroup - number of variables in each group
% kk - total number of subproblems
if nargin < 2
    nvargroup = 200;
end
ngroup1 = floor(dim/nvargroup);


% spliting the basis into batches

%--------------------------------------------------------------------------
% On all squares
%--------------------------------------------------------------------------
k = 0; % counter of the batches, starting from 0 for condor
for i = 1:ngroup1-1
    for j = i+1:ngroup1
        inx = [i j 1];
        infile = sprintf('infile%d.mat',k);
        save(infile,'inx','k');
        k = k + 1;
    end
end

%--------------------------------------------------------------------------
% On major triangles
%--------------------------------------------------------------------------
for i = (2:2:ngroup1) - 1
    inx = [i i+1 2];
    infile = sprintf('infile%d.mat',k);
    save(infile,'inx','k');
    k = k + 1;
end

%--------------------------------------------------------------------------
% On remaining rectangles
%--------------------------------------------------------------------------
for i = 1:ngroup1
    j = ngroup1 + 1;
    inx = [i j 3];
    infile = sprintf('infile%d.mat',k);
    save(infile,'inx','k');
    k = k + 1;
end

%--------------------------------------------------------------------------
% On remaining triangles
%--------------------------------------------------------------------------
if mod(ngroup1,2) == 1      % big&small
    i = ngroup1;
    j = ngroup1 + 1;
    inx = [i j 4]; 
else                        % small
    i = ngroup1 + 1;
    j = ngroup1 + 2;
    inx = [i j 5];
end
infile = sprintf('infile%d.mat',k);
save(infile,'inx','k');
kk = k;
return;

