function inx = getinx(beta,inxfullcurr)
%--------------------------------------------------------------------------
% Get the index of main effects and interactions, after calculating beta
%--------------------------------------------------------------------------
global fBasis Y_global
nmainfullcurr = length(inxfullcurr.main);
inx.main = [];
inx.inter = [];
inxlasso = find(abs(beta)>1e-6)';
nsigblasso = length(inxlasso);
if nsigblasso > 1
    inxlasso = inxlasso(1:nsigblasso-1);
    XX = fBasis(:,inxlasso);
    [ncoe nstat inxlogist] = bgacvp(XX,Y_global);
    inxlps = inxlasso(inxlogist);
else
    inxlps = [];
end
ninxlps = length(inxlps);
if ninxlps > 0
    inx.main = inxfullcurr.main(intersect(1:nmainfullcurr,inxlps));
    intertmp = setdiff(inxlps,1:nmainfullcurr) - nmainfullcurr;
    inx.inter = inxfullcurr.inter(intertmp,:);
end
return
